Bug 44269 - Android Designer with Custom Controls spins loading bar with Java JDK 1.8 x86 installed
Summary: Android Designer with Custom Controls spins loading bar with Java JDK 1.8 x86...
Status: VERIFIED FIXED
Alias: None
Product: Visual Studio Extensions
Classification: Xamarin
Component: Android Designer (show other bugs)
Version: 4.2.0 (C8)
Hardware: PC Windows
: Normal major
Target Milestone: 4.2.1 (C8SR1)
Assignee: Jérémie Laval
URL:
: 44108 44458 (view as bug list)
Depends on:
Blocks:
 
Reported: 2016-09-13 22:29 UTC by James Montemagno [MSFT]
Modified: 2016-10-13 13:07 UTC (History)
10 users (show)

Tags:
Is this bug a regression?: ---
Last known good build:

Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.


Please create a new report on Developer Community with your current version information, steps to reproduce, and relevant error messages or log files if you are hitting an issue that looks similar to this resolved bug and you do not yet see a matching new report.

Related Links:
Status:
VERIFIED FIXED

Description James Montemagno [MSFT] 2016-09-13 22:29:47 UTC
Since x64 is required for custom controls it should fall back and disable custom controls to display gray boxes if on a machine that is only x86 or if someone accidentally installed x86 instead of x64,
Comment 1 Jérémie Laval 2016-09-13 22:34:56 UTC
In this case, the designer is throwing a java.lang.UnsatisfiedLinkError because it's a 32 bit Java trying to load our 64 bit library.

We should be catching this easily but the problem is that this is represented as a java.lang.Error not a java.lang.Exception and our catch is not inclusive enough to get this.
Comment 2 Jérémie Laval 2016-09-14 15:35:50 UTC
*** Bug 44108 has been marked as a duplicate of this bug. ***
Comment 3 Jérémie Laval 2016-09-14 15:59:45 UTC
Fixed in version 6.2.0.490 (master)

Author: Jérémie Laval
Commit: e4c34671ac09f633469aff4f61cccf05bfd6234a (xamarin/md-addins)
Included in Commit: 836516fd28d81cda5c3925ab211a4145060b2fcd (mono/monodevelop)
Comment 5 Naqeeb 2016-09-15 17:45:46 UTC
I have checked this issue with build latest master build i.e. Xamarin.VisualStudio_99.0.0.3574_fe5685cb162ec844b2436994c0f344134c3479ad and JDK 1.8 x86 and observed this is working fine. I am able to open android designer with custom control disable. Here is the screencast for the same: http://www.screencast.com/t/5vsrXeSrgq
Comment 7 Hrvoje 2016-09-19 09:46:29 UTC
With Java x64 and JDK x64 it does not work.
Comment 8 Hrvoje 2016-09-19 09:46:50 UTC
With Java x64 and JDK x64 it does not work.
Comment 9 Jérémie Laval 2016-09-19 21:43:58 UTC
*** Bug 44458 has been marked as a duplicate of this bug. ***
Comment 10 Jérémie Laval 2016-09-19 21:56:22 UTC
@Hrvoje we are using this bug for tracking the 32bits loading issue.

If you are still having problems with custom controls, could you open another bug report and attach the IDE logs? Thanks!
Comment 11 Hrvoje 2016-09-24 19:06:53 UTC
With beta version 4.2.0.694 error is still there, but this time without error dialog. Android designer, simply doesn't open.

Here is the log:

Xamarin Information: 0 : [2016-09-24 20:42:26.1883] Xamarin - 4.2.0.694-cycle8-sr0+e6e3b0c
Xamarin.VisualStudio.Activation.AccountManager Information: 0 : [2016-09-24 20:42:26.6736] VS2015 Professional
Xamarin.VisualStudio.ActivationManager Information: 0 : [2016-09-24 20:42:26.7805] No license found for iOS
Xamarin.VisualStudio.ActivationManager Information: 0 : [2016-09-24 20:42:26.8005] Running license sync for iOS
Xamarin.VisualStudio.ActivationManager Information: 0 : [2016-09-24 20:42:26.8295] No license found for Android
Xamarin.VisualStudio.ActivationManager Information: 0 : [2016-09-24 20:42:26.8452] Running license sync for Android
Xamarin.VisualStudio.TastyPackage Information: 0 : [2016-09-24 20:42:27.0765] Hooked up SDB tracing adapter
Xamarin.VisualStudio.TastyPackage Information: 0 : [2016-09-24 20:42:27.0921] Initialization finished
Xamarin.VisualStudio.Android.XamarinAndroidPackage Warning: 0 : [2016-09-24 20:42:27.1078] Initializing Xamarin.VisualStudio.Android.XamarinAndroidPackage
Xamarin.VisualStudio.ActivationManager Information: 0 : [2016-09-24 20:42:29.8593] Updated license: Android VSProfessional
Xamarin.VisualStudio.ActivationManager Information: 0 : [2016-09-24 20:42:29.9259] Updated license: iOS VSProfessional
Xamarin.VisualStudio.TastyPackage Information: 0 : [2016-09-24 20:42:44.1193] Hooked up SDB tracing adapter
Xamarin.VisualStudio.TastyPackage Information: 0 : [2016-09-24 20:42:44.1328] Initialization finished
Xamarin.VisualStudio.IOS.XamarinIOSPackage Warning: 0 : [2016-09-24 20:42:44.1688] Initializing Xamarin.VisualStudio.IOS.XamarinIOSPackage.
Xamarin.VisualStudio.IOS.XamarinIOSPackage Information: 0 : [2016-09-24 20:42:44.1833] MDAddinsHash: a7ad983a9f4371a8bf87a7a7e56cc2b5c1c4bc45

Xamarin.VisualStudio.ActivationManager Information: 0 : [2016-09-24 20:42:45.5391] INFO: Changing layoutlib, from 0 to 23
Xamarin.VisualStudio.ActivationManager Information: 0 : [2016-09-24 20:42:45.5516] 
Xamarin.VisualStudio.ActivationManager Information: 0 : [2016-09-24 20:42:49.2159] INFO: Creating class loader with 40 projects
Xamarin.VisualStudio.ActivationManager Information: 0 : [2016-09-24 20:42:49.2289] 
Xamarin.VisualStudio.ActivationManager Information: 0 : [2016-09-24 20:42:49.2519] WARNING: Not loading Xamarin.Android support.
Xamarin.VisualStudio.ActivationManager Information: 0 : [2016-09-24 20:42:49.2759] ERROR: java.lang.UnsatisfiedLinkError: C:\Program Files (x86)\MSBuild\Xamarin\Android\libmono-android.debug.dll: Can't load AMD 64-bit .dll on a IA 32-bit platform
Xamarin.VisualStudio.ActivationManager Information: 0 : [2016-09-24 20:42:49.2889] 	at java.lang.ClassLoader$NativeLibrary.load(Native Method)
Xamarin.VisualStudio.ActivationManager Information: 0 : [2016-09-24 20:42:49.3009] 	at java.lang.ClassLoader.loadLibrary0(ClassLoader.java:1941)
Xamarin.VisualStudio.ActivationManager Information: 0 : [2016-09-24 20:42:49.3164] 	at java.lang.ClassLoader.loadLibrary(ClassLoader.java:1824)
Xamarin.VisualStudio.ActivationManager Information: 0 : [2016-09-24 20:42:49.3294] 	at java.lang.Runtime.load0(Runtime.java:809)
Xamarin.VisualStudio.ActivationManager Information: 0 : [2016-09-24 20:42:49.3419] 	at java.lang.System.load(System.java:1086)
Xamarin.VisualStudio.ActivationManager Information: 0 : [2016-09-24 20:42:49.3554] 	at mono.android.SessionProjectCallback.tryLoadMonoDroid(SessionProjectCallback.java:462)
Xamarin.VisualStudio.ActivationManager Information: 0 : [2016-09-24 20:42:49.3684] 	at mono.android.SessionProjectCallback.initializeMonoDroid(SessionProjectCallback.java:480)
Xamarin.VisualStudio.ActivationManager Information: 0 : [2016-09-24 20:42:49.3804] 	at mono.android.SessionProjectCallback.getRenderClassLoaderForVersion(SessionProjectCallback.java:287)
Xamarin.VisualStudio.ActivationManager Information: 0 : [2016-09-24 20:42:49.3920] 	at mono.android.SessionProjectCallback.loadView(SessionProjectCallback.java:186)
Xamarin.VisualStudio.ActivationManager Information: 0 : [2016-09-24 20:42:49.4029] 	at android.view.BridgeInflater.loadCustomView(BridgeInflater.java:247)
Xamarin.VisualStudio.ActivationManager Information: 0 : [2016-09-24 20:42:49.4135] 	at android.view.BridgeInflater.createViewFromTag(BridgeInflater.java:171)
Xamarin.VisualStudio.ActivationManager Information: 0 : [2016-09-24 20:42:49.4355] 	at android.view.LayoutInflater.createViewFromTag(LayoutInflater.java:704)
Xamarin.VisualStudio.ActivationManager Information: 0 : [2016-09-24 20:42:49.4450] 	at android.view.LayoutInflater.rInflate_Original(LayoutInflater.java:835)
Xamarin.VisualStudio.ActivationManager Information: 0 : [2016-09-24 20:42:49.4580] 	at android.view.LayoutInflater_Delegate.rInflate(LayoutInflater_Delegate.java:70)
Xamarin.VisualStudio.ActivationManager Information: 0 : [2016-09-24 20:42:49.4675] 	at android.view.LayoutInflater.rInflate(LayoutInflater.java:811)
Xamarin.VisualStudio.ActivationManager Information: 0 : [2016-09-24 20:42:49.4770] 	at android.view.LayoutInflater.rInflateChildren(LayoutInflater.java:798)
Xamarin.VisualStudio.ActivationManager Information: 0 : [2016-09-24 20:42:49.4875] 	at android.view.LayoutInflater.rInflate_Original(LayoutInflater.java:838)
Xamarin.VisualStudio.ActivationManager Information: 0 : [2016-09-24 20:42:49.5030] 	at android.view.LayoutInflater_Delegate.rInflate(LayoutInflater_Delegate.java:70)
Xamarin.VisualStudio.ActivationManager Information: 0 : [2016-09-24 20:42:49.5130] 	at android.view.LayoutInflater.rInflate(LayoutInflater.java:811)
Xamarin.VisualStudio.ActivationManager Information: 0 : [2016-09-24 20:42:49.5235] 	at android.view.LayoutInflater.rInflateChildren(LayoutInflater.java:798)
Xamarin.VisualStudio.ActivationManager Information: 0 : [2016-09-24 20:42:49.5340] 	at android.view.LayoutInflater.rInflate_Original(LayoutInflater.java:838)
Xamarin.VisualStudio.ActivationManager Information: 0 : [2016-09-24 20:42:49.5545] 	at android.view.LayoutInflater_Delegate.rInflate(LayoutInflater_Delegate.java:70)
Xamarin.VisualStudio.ActivationManager Information: 0 : [2016-09-24 20:42:49.5665] 	at android.view.LayoutInflater.rInflate(LayoutInflater.java:811)
Xamarin.VisualStudio.ActivationManager Information: 0 : [2016-09-24 20:42:49.5800] 	at android.view.LayoutInflater.rInflateChildren(LayoutInflater.java:798)
Xamarin.VisualStudio.ActivationManager Information: 0 : [2016-09-24 20:42:49.5910] 	at android.view.LayoutInflater.inflate(LayoutInflater.java:515)
Xamarin.VisualStudio.ActivationManager Information: 0 : [2016-09-24 20:42:49.6015] 	at android.view.LayoutInflater.inflate(LayoutInflater.java:394)
Xamarin.VisualStudio.ActivationManager Information: 0 : [2016-09-24 20:42:49.6150] 	at com.android.layoutlib.bridge.impl.RenderSessionImpl.inflate(RenderSessionImpl.java:229)
Xamarin.VisualStudio.ActivationManager Information: 0 : [2016-09-24 20:42:49.6195] 	at com.android.layoutlib.bridge.Bridge.createSession(Bridge.java:426)
Xamarin.VisualStudio.ActivationManager Information: 0 : [2016-09-24 20:42:49.6351] 	at com.android.ide.common.rendering.LayoutLibrary.createSession(LayoutLibrary.java:350)
Xamarin.VisualStudio.ActivationManager Information: 0 : [2016-09-24 20:42:49.6351] 	at mono.android.DesignerSession.load(DesignerSession.java:210)
Xamarin.VisualStudio.ActivationManager Information: 0 : [2016-09-24 20:42:49.6664] 	at mono.android.DesignerSession.processMessage(DesignerSession.java:784)
Xamarin.VisualStudio.ActivationManager Information: 0 : [2016-09-24 20:42:49.6820] 	at mono.android.MessageListener.executeMessage(MessageListener.java:88)
Xamarin.VisualStudio.ActivationManager Information: 0 : [2016-09-24 20:42:49.6976] 	at mono.android.MessageListener$Runner.run(MessageListener.java:45)
Xamarin.VisualStudio.ActivationManager Information: 0 : [2016-09-24 20:42:49.7157] 	at java.lang.Thread.run(Thread.java:745)
Xamarin.VisualStudio.ActivationManager Information: 0 : [2016-09-24 20:42:49.7197] 
Xamarin.VisualStudio.ActivationManager Information: 0 : [2016-09-24 20:42:49.7354] INFO: Trying to load class md534cebb3ea7cc42e423a9016e40dcbaf8.SnappyRecyclerView
Xamarin.VisualStudio.ActivationManager Information: 0 : [2016-09-24 20:42:49.7354] 
Xamarin.VisualStudio.ActivationManager Information: 0 : [2016-09-24 20:42:49.7510] Not loading custom component, monodroid is not ready
Xamarin.VisualStudio.ActivationManager Information: 0 : [2016-09-24 20:42:49.7823] TODO: getParser2
Xamarin.VisualStudio.ActivationManager Information: 0 : [2016-09-24 20:42:49.7979] TODO: getParser2
Xamarin.VisualStudio.ActivationManager Information: 0 : [2016-09-24 20:42:49.8190] TODO: getParser2
Xamarin.VisualStudio.ActivationManager Information: 0 : [2016-09-24 20:42:49.8200] TODO: getParser2
Xamarin.VisualStudio.ActivationManager Information: 0 : [2016-09-24 20:42:49.8357] INFO: Trying to load class md534cebb3ea7cc42e423a9016e40dcbaf8.SiblingBoundedEditText
Xamarin.VisualStudio.ActivationManager Information: 0 : [2016-09-24 20:42:49.8513] 
Xamarin.VisualStudio.ActivationManager Information: 0 : [2016-09-24 20:42:49.8513] Not loading custom component, monodroid is not ready
Xamarin.VisualStudio.ActivationManager Information: 0 : [2016-09-24 20:42:49.8825] TODO: getParser2
Xamarin.VisualStudio.ActivationManager Information: 0 : [2016-09-24 20:42:50.1831] TODO: getParser2
Xamarin.VisualStudio.ActivationManager Information: 0 : [2016-09-24 20:42:50.2208] TODO: getParser2
Xamarin.VisualStudio.ActivationManager Information: 0 : [2016-09-24 20:42:50.2677] TODO: getParser2
Xamarin.VisualStudio.ActivationManager Information: 0 : [2016-09-24 20:42:50.3522] TODO: getParser2
Xamarin.VisualStudio.ActivationManager Information: 0 : [2016-09-24 20:42:50.5208] TODO: getParser2
Xamarin.VisualStudio.ActivationManager Information: 0 : [2016-09-24 20:43:28.5799] INFO: Changing layoutlib, from 0 to 23
Xamarin.VisualStudio.ActivationManager Information: 0 : [2016-09-24 20:43:28.5924] 
Xamarin.VisualStudio.ActivationManager Information: 0 : [2016-09-24 20:43:30.4983] INFO: Creating class loader with 40 projects
Xamarin.VisualStudio.ActivationManager Information: 0 : [2016-09-24 20:43:30.5128] 
Xamarin.VisualStudio.ActivationManager Information: 0 : [2016-09-24 20:43:30.5268] INFO: Trying to load class md534cebb3ea7cc42e423a9016e40dcbaf8.SnappyRecyclerView
Xamarin.VisualStudio.ActivationManager Information: 0 : [2016-09-24 20:43:30.5363] 
Xamarin.VisualStudio.ActivationManager Information: 0 : [2016-09-24 20:43:30.5468] Not loading custom component, monodroid is not ready
Xamarin.VisualStudio.ActivationManager Information: 0 : [2016-09-24 20:43:30.6288] TODO: getParser2
Xamarin.VisualStudio.ActivationManager Information: 0 : [2016-09-24 20:43:30.6653] TODO: getParser2
Xamarin.VisualStudio.ActivationManager Information: 0 : [2016-09-24 20:43:30.7113] TODO: getParser2
Xamarin.VisualStudio.ActivationManager Information: 0 : [2016-09-24 20:43:30.7223] TODO: getParser2
Xamarin.VisualStudio.ActivationManager Information: 0 : [2016-09-24 20:43:30.7348] INFO: Trying to load class md534cebb3ea7cc42e423a9016e40dcbaf8.SiblingBoundedEditText
Xamarin.VisualStudio.ActivationManager Information: 0 : [2016-09-24 20:43:30.7478] 
Xamarin.VisualStudio.ActivationManager Information: 0 : [2016-09-24 20:43:30.7603] Not loading custom component, monodroid is not ready
Xamarin.VisualStudio.ActivationManager Information: 0 : [2016-09-24 20:43:30.8558] TODO: getParser2
Xamarin.VisualStudio.ActivationManager Information: 0 : [2016-09-24 20:43:31.2477] TODO: getParser2
Xamarin.VisualStudio.ActivationManager Information: 0 : [2016-09-24 20:43:31.2817] TODO: getParser2
Xamarin.VisualStudio.ActivationManager Information: 0 : [2016-09-24 20:43:31.3457] TODO: getParser2
Xamarin.VisualStudio.ActivationManager Information: 0 : [2016-09-24 20:43:31.3727] TODO: getParser2
Xamarin.VisualStudio.ActivationManager Information: 0 : [2016-09-24 20:43:31.5147] TODO: getParser2
Xamarin.VisualStudio.IOS.MacServer Error: 0 : [2016-09-24 20:43:47.4064] Could not retrieve fingerprint.
System.OperationCanceledException: Could not retrieve fingerprint. ---> System.Net.Sockets.SocketException: A connection attempt failed because the connected party did not properly respond after a period of time, or established connection failed because connected host has failed to respond
   at Renci.SshNet.Abstractions.SocketAbstraction.Connect(IPEndPoint remoteEndpoint, TimeSpan connectTimeout)
   at Renci.SshNet.Session.SocketConnect(String host, Int32 port)
   at Renci.SshNet.Session.Connect()
   at Renci.SshNet.BaseClient.Connect()
   at Xamarin.Messaging.Client.Ssh.SshFingerprintRetriever.<>c__DisplayClass1_0.<RetrieveFingerprintAsync>b__1()
   --- End of inner exception stack trace ---
   at System.Runtime.CompilerServices.TaskAwaiter.ThrowForNonSuccess(Task task)
   at System.Runtime.CompilerServices.TaskAwaiter.HandleNonSuccessAndDebuggerNotification(Task task)
   at Xamarin.Messaging.Client.Ssh.SshFingerprintRetriever.<RetrieveFingerprintAsync>d__0.MoveNext()
--- End of stack trace from previous location where exception was thrown ---
   at System.Runtime.ExceptionServices.ExceptionDispatchInfo.Throw()
   at System.Runtime.CompilerServices.TaskAwaiter.ThrowForNonSuccess(Task task)
   at System.Runtime.CompilerServices.TaskAwaiter.HandleNonSuccessAndDebuggerNotification(Task task)
   at Xamarin.VisualStudio.IOS.Messaging.FingerprintRetriever.<RetrieveFingerprintAsync>d__2.MoveNext() in C:\data\lanes\3822\e6e3b0ce\source\xamarinvs\src\Core\VisualStudio.IOS\Messaging\FingerprintRetriever.cs:line 20
--- End of stack trace from previous location where exception was thrown ---
   at System.Runtime.ExceptionServices.ExceptionDispatchInfo.Throw()
   at System.Runtime.CompilerServices.TaskAwaiter.ThrowForNonSuccess(Task task)
   at System.Runtime.CompilerServices.TaskAwaiter.HandleNonSuccessAndDebuggerNotification(Task task)
   at Xamarin.VisualStudio.IOS.MacServer.<AskForCredentialsAsync>d__52.MoveNext() in C:\data\lanes\3822\e6e3b0ce\source\xamarinvs\src\Core\VisualStudio.IOS\Messaging\MacServer.cs:line 356
Xamarin.VisualStudio.ActivationManager Information: 0 : [2016-09-24 20:44:02.2022] INFO: Clearing out 1 existing ClassLoaders
Xamarin.VisualStudio.ActivationManager Information: 0 : [2016-09-24 20:44:02.2127] 
Xamarin.VisualStudio.ActivationManager Information: 0 : [2016-09-24 20:44:02.9882] INFO: Trying to load class md534cebb3ea7cc42e423a9016e40dcbaf8.SnappyRecyclerView
Xamarin.VisualStudio.ActivationManager Information: 0 : [2016-09-24 20:44:02.9982] 
Xamarin.VisualStudio.ActivationManager Information: 0 : [2016-09-24 20:44:03.0087] Not loading custom component, monodroid is not ready
Xamarin.VisualStudio.ActivationManager Information: 0 : [2016-09-24 20:44:03.0607] TODO: getParser2
Xamarin.VisualStudio.ActivationManager Information: 0 : [2016-09-24 20:44:03.0932] TODO: getParser2
Xamarin.VisualStudio.ActivationManager Information: 0 : [2016-09-24 20:44:03.1237] TODO: getParser2
Xamarin.VisualStudio.ActivationManager Information: 0 : [2016-09-24 20:44:03.1347] TODO: getParser2
Xamarin.VisualStudio.ActivationManager Information: 0 : [2016-09-24 20:44:03.1537] INFO: Trying to load class md534cebb3ea7cc42e423a9016e40dcbaf8.SiblingBoundedEditText
Xamarin.VisualStudio.ActivationManager Information: 0 : [2016-09-24 20:44:03.1637] 
Xamarin.VisualStudio.ActivationManager Information: 0 : [2016-09-24 20:44:03.1732] Not loading custom component, monodroid is not ready
Xamarin.VisualStudio.ActivationManager Information: 0 : [2016-09-24 20:44:03.2507] TODO: getParser2
Xamarin.VisualStudio.ActivationManager Information: 0 : [2016-09-24 20:44:03.5513] TODO: getParser2
Xamarin.VisualStudio.ActivationManager Information: 0 : [2016-09-24 20:44:03.5842] TODO: getParser2
Xamarin.VisualStudio.ActivationManager Information: 0 : [2016-09-24 20:44:03.6148] TODO: getParser2
Xamarin.VisualStudio.ActivationManager Information: 0 : [2016-09-24 20:44:03.6402] TODO: getParser2
Xamarin.VisualStudio.ActivationManager Information: 0 : [2016-09-24 20:44:03.7958] TODO: getParser2
Xamarin.VisualStudio.ActivationManager Information: 0 : [2016-09-24 20:44:06.8962] INFO: Changing layoutlib, from 0 to 23
Xamarin.VisualStudio.ActivationManager Information: 0 : [2016-09-24 20:44:06.9088] 
Xamarin.VisualStudio.ActivationManager Information: 0 : [2016-09-24 20:44:11.6940] INFO: Creating class loader with 40 projects
Xamarin.VisualStudio.ActivationManager Information: 0 : [2016-09-24 20:44:11.7060] 
Xamarin.VisualStudio.ActivationManager Information: 0 : [2016-09-24 20:44:11.7185] INFO: Trying to load class md534cebb3ea7cc42e423a9016e40dcbaf8.SnappyRecyclerView
Xamarin.VisualStudio.ActivationManager Information: 0 : [2016-09-24 20:44:11.7310] 
Xamarin.VisualStudio.ActivationManager Information: 0 : [2016-09-24 20:44:11.7430] Not loading custom component, monodroid is not ready
Xamarin.VisualStudio.ActivationManager Information: 0 : [2016-09-24 20:44:11.8030] TODO: getParser2
Xamarin.VisualStudio.ActivationManager Information: 0 : [2016-09-24 20:44:11.8361] TODO: getParser2
Xamarin.VisualStudio.ActivationManager Information: 0 : [2016-09-24 20:44:11.8940] TODO: getParser2
Xamarin.VisualStudio.ActivationManager Information: 0 : [2016-09-24 20:44:11.9040] TODO: getParser2
Xamarin.VisualStudio.ActivationManager Information: 0 : [2016-09-24 20:44:11.9136] INFO: Trying to load class md534cebb3ea7cc42e423a9016e40dcbaf8.SiblingBoundedEditText
Xamarin.VisualStudio.ActivationManager Information: 0 : [2016-09-24 20:44:11.9230] 
Xamarin.VisualStudio.ActivationManager Information: 0 : [2016-09-24 20:44:11.9325] Not loading custom component, monodroid is not ready
Xamarin.VisualStudio.ActivationManager Information: 0 : [2016-09-24 20:44:12.0110] TODO: getParser2
Xamarin.VisualStudio.ActivationManager Information: 0 : [2016-09-24 20:44:12.3976] TODO: getParser2
Xamarin.VisualStudio.ActivationManager Information: 0 : [2016-09-24 20:44:12.4346] TODO: getParser2
Xamarin.VisualStudio.ActivationManager Information: 0 : [2016-09-24 20:44:12.4726] TODO: getParser2
Xamarin.VisualStudio.ActivationManager Information: 0 : [2016-09-24 20:44:12.5066] TODO: getParser2
Xamarin.VisualStudio.ActivationManager Information: 0 : [2016-09-24 20:44:12.6843] TODO: getParser2
Xamarin.VisualStudio.Android.MonoAndroidFlavoredProject Information: 0 : [2016-09-24 20:44:33.7295] designer model checker: DocumentSaved
Xamarin.VisualStudio.ActivationManager Information: 0 : [2016-09-24 20:44:40.3804] INFO: Trying to load class md534cebb3ea7cc42e423a9016e40dcbaf8.SnappyRecyclerView
Xamarin.VisualStudio.ActivationManager Information: 0 : [2016-09-24 20:44:40.3904] 
Xamarin.VisualStudio.ActivationManager Information: 0 : [2016-09-24 20:44:40.4004] Not loading custom component, monodroid is not ready
Xamarin.VisualStudio.ActivationManager Information: 0 : [2016-09-24 20:44:40.4499] TODO: getParser2
Xamarin.VisualStudio.ActivationManager Information: 0 : [2016-09-24 20:44:40.4869] TODO: getParser2
Xamarin.VisualStudio.ActivationManager Information: 0 : [2016-09-24 20:44:40.5179] TODO: getParser2
Xamarin.VisualStudio.ActivationManager Information: 0 : [2016-09-24 20:44:40.5284] TODO: getParser2
Xamarin.VisualStudio.ActivationManager Information: 0 : [2016-09-24 20:44:40.5485] INFO: Trying to load class md534cebb3ea7cc42e423a9016e40dcbaf8.SiblingBoundedEditText
Xamarin.VisualStudio.ActivationManager Information: 0 : [2016-09-24 20:44:40.5585] 
Xamarin.VisualStudio.ActivationManager Information: 0 : [2016-09-24 20:44:40.5679] Not loading custom component, monodroid is not ready
Xamarin.VisualStudio.ActivationManager Information: 0 : [2016-09-24 20:44:40.6525] TODO: getParser2
Xamarin.VisualStudio.ActivationManager Information: 0 : [2016-09-24 20:44:41.0190] TODO: getParser2
Xamarin.VisualStudio.ActivationManager Information: 0 : [2016-09-24 20:44:41.0490] TODO: getParser2
Xamarin.VisualStudio.ActivationManager Information: 0 : [2016-09-24 20:44:41.0775] TODO: getParser2
Xamarin.VisualStudio.ActivationManager Information: 0 : [2016-09-24 20:44:41.1090] TODO: getParser2
Xamarin.VisualStudio.ActivationManager Information: 0 : [2016-09-24 20:44:41.2755] TODO: getParser2
Xamarin.VisualStudio.ActivationManager Information: 0 : [2016-09-24 20:44:41.6210] INFO: Trying to load class md534cebb3ea7cc42e423a9016e40dcbaf8.SnappyRecyclerView
Xamarin.VisualStudio.ActivationManager Information: 0 : [2016-09-24 20:44:41.6320] 
Xamarin.VisualStudio.ActivationManager Information: 0 : [2016-09-24 20:44:41.6430] Not loading custom component, monodroid is not ready
Xamarin.VisualStudio.ActivationManager Information: 0 : [2016-09-24 20:44:41.7065] TODO: getParser2
Xamarin.VisualStudio.ActivationManager Information: 0 : [2016-09-24 20:44:41.7415] TODO: getParser2
Xamarin.VisualStudio.ActivationManager Information: 0 : [2016-09-24 20:44:41.7735] TODO: getParser2
Xamarin.VisualStudio.ActivationManager Information: 0 : [2016-09-24 20:44:41.7835] TODO: getParser2
Xamarin.VisualStudio.ActivationManager Information: 0 : [2016-09-24 20:44:41.8070] INFO: Trying to load class md534cebb3ea7cc42e423a9016e40dcbaf8.SiblingBoundedEditText
Xamarin.VisualStudio.ActivationManager Information: 0 : [2016-09-24 20:44:41.8190] 
Xamarin.VisualStudio.ActivationManager Information: 0 : [2016-09-24 20:44:41.8305] Not loading custom component, monodroid is not ready
Xamarin.VisualStudio.ActivationManager Information: 0 : [2016-09-24 20:44:41.9136] TODO: getParser2
Xamarin.VisualStudio.ActivationManager Information: 0 : [2016-09-24 20:44:42.1986] TODO: getParser2
Xamarin.VisualStudio.ActivationManager Information: 0 : [2016-09-24 20:44:42.2291] TODO: getParser2
Xamarin.VisualStudio.ActivationManager Information: 0 : [2016-09-24 20:44:42.2681] TODO: getParser2
Xamarin.VisualStudio.ActivationManager Information: 0 : [2016-09-24 20:44:42.3066] TODO: getParser2
Xamarin.VisualStudio.ActivationManager Information: 0 : [2016-09-24 20:44:42.4207] TODO: getParser2
Xamarin.VisualStudio.ActivationManager Information: 0 : [2016-09-24 20:45:47.2204] INFO: Changing layoutlib, from 0 to 23
Xamarin.VisualStudio.ActivationManager Information: 0 : [2016-09-24 20:45:47.2444] 
Xamarin.VisualStudio.ActivationManager Information: 0 : [2016-09-24 20:45:47.7370] TODO: getParser2
Xamarin.VisualStudio.Android.MonoAndroidFlavoredProject Information: 0 : [2016-09-24 20:51:13.5094] designer model checker: DocumentSaved
Xamarin.VisualStudio.ActivationManager Information: 0 : [2016-09-24 20:51:20.1226] TODO: getParser2
Xamarin.VisualStudio.ActivationManager Information: 0 : [2016-09-24 20:51:20.4076] INFO: Trying to load class md534cebb3ea7cc42e423a9016e40dcbaf8.SnappyRecyclerView
Xamarin.VisualStudio.ActivationManager Information: 0 : [2016-09-24 20:51:20.4181] 
Xamarin.VisualStudio.ActivationManager Information: 0 : [2016-09-24 20:51:20.4286] Not loading custom component, monodroid is not ready
Xamarin.VisualStudio.ActivationManager Information: 0 : [2016-09-24 20:51:20.4871] TODO: getParser2
Xamarin.VisualStudio.ActivationManager Information: 0 : [2016-09-24 20:51:20.5201] TODO: getParser2
Xamarin.VisualStudio.ActivationManager Information: 0 : [2016-09-24 20:51:20.5502] TODO: getParser2
Xamarin.VisualStudio.ActivationManager Information: 0 : [2016-09-24 20:51:20.5626] TODO: getParser2
Xamarin.VisualStudio.ActivationManager Information: 0 : [2016-09-24 20:51:20.5806] INFO: Trying to load class md534cebb3ea7cc42e423a9016e40dcbaf8.SiblingBoundedEditText
Xamarin.VisualStudio.ActivationManager Information: 0 : [2016-09-24 20:51:20.5907] 
Xamarin.VisualStudio.ActivationManager Information: 0 : [2016-09-24 20:51:20.6006] Not loading custom component, monodroid is not ready
Xamarin.VisualStudio.ActivationManager Information: 0 : [2016-09-24 20:51:20.6812] TODO: getParser2
Xamarin.VisualStudio.ActivationManager Information: 0 : [2016-09-24 20:51:20.9557] TODO: getParser2
Xamarin.VisualStudio.ActivationManager Information: 0 : [2016-09-24 20:51:20.9867] TODO: getParser2
Xamarin.VisualStudio.ActivationManager Information: 0 : [2016-09-24 20:51:21.0578] TODO: getParser2
Xamarin.VisualStudio.ActivationManager Information: 0 : [2016-09-24 20:51:21.0962] TODO: getParser2
Xamarin.VisualStudio.ActivationManager Information: 0 : [2016-09-24 20:51:21.2117] TODO: getParser2
Xamarin.VisualStudio.ActivationManager Information: 0 : [2016-09-24 20:51:21.5422] INFO: Trying to load class md534cebb3ea7cc42e423a9016e40dcbaf8.SnappyRecyclerView
Xamarin.VisualStudio.ActivationManager Information: 0 : [2016-09-24 20:51:21.5526] 
Xamarin.VisualStudio.ActivationManager Information: 0 : [2016-09-24 20:51:21.5618] Not loading custom component, monodroid is not ready
Xamarin.VisualStudio.ActivationManager Information: 0 : [2016-09-24 20:51:21.6178] TODO: getParser2
Xamarin.VisualStudio.ActivationManager Information: 0 : [2016-09-24 20:51:21.6549] TODO: getParser2
Xamarin.VisualStudio.ActivationManager Information: 0 : [2016-09-24 20:51:21.6869] TODO: getParser2
Xamarin.VisualStudio.ActivationManager Information: 0 : [2016-09-24 20:51:21.6979] TODO: getParser2
Xamarin.VisualStudio.ActivationManager Information: 0 : [2016-09-24 20:51:21.7179] INFO: Trying to load class md534cebb3ea7cc42e423a9016e40dcbaf8.SiblingBoundedEditText
Xamarin.VisualStudio.ActivationManager Information: 0 : [2016-09-24 20:51:21.7289] 
Xamarin.VisualStudio.ActivationManager Information: 0 : [2016-09-24 20:51:21.7419] Not loading custom component, monodroid is not ready
Xamarin.VisualStudio.ActivationManager Information: 0 : [2016-09-24 20:51:21.8445] TODO: getParser2
Xamarin.VisualStudio.ActivationManager Information: 0 : [2016-09-24 20:51:22.2740] TODO: getParser2
Xamarin.VisualStudio.ActivationManager Information: 0 : [2016-09-24 20:51:22.2960] TODO: getParser2
Xamarin.VisualStudio.ActivationManager Information: 0 : [2016-09-24 20:51:22.3450] TODO: getParser2
Xamarin.VisualStudio.ActivationManager Information: 0 : [2016-09-24 20:51:22.3810] TODO: getParser2
Xamarin.VisualStudio.ActivationManager Information: 0 : [2016-09-24 20:51:22.5735] TODO: getParser2
Xamarin.VisualStudio.Android.MonoAndroidFlavoredProject Information: 0 : [2016-09-24 20:51:48.7687] designer model checker: ItemModified
Xamarin.VisualStudio.Android.MonoAndroidFlavoredProject Information: 0 : [2016-09-24 20:51:48.7787] designer model checker: DocumentSaved
Xamarin.VisualStudio.ActivationManager Information: 0 : [2016-09-24 20:52:15.6685] INFO: Changing layoutlib, from 0 to 23
Xamarin.VisualStudio.ActivationManager Information: 0 : [2016-09-24 20:52:15.6995]
Comment 12 xamarin-release-manager 2016-10-06 22:39:34 UTC
Fixed in version 4.2.0.743 (cycle8)

Author: J??r??mie Laval
Commit: 036382084a22245b34c50fd4fc24fbeb8a5bfbd5 (xamarin/md-addins)
Included in Commit: e149c558c76b7f5f3ac16039589d27e1368136c1 (xamarin/XamarinVS)